Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui
Class LAFManager

    java.lang.Object
      jpicedt.ui.LAFManager

public class LAFManager
extends Object

LAF management : maintains a list of installed LAF, and handles LAF loading.

Field Summary
`static String` | `KEY_LAF` key used to fetch the LAF name from the Properties (see init)

Constructor Summary
`LAFManager()`

Method Summary
`static String` | `getCurrentLafName()`
`static String` | `getDefaultLafName()`
`static String[]` | `getInstalledLookAndFeelsNames()`
`static void` | `updateLaf()` Init LAF from the given Properties using key=KEY_LAF and value = LAF name (as returned by LookAndFeelInfo.getName()).
`static void` | `updateLaf(String lafName)` set current LAF from the given LAF name
`static void` | `updateLafFromClassName(String className)` Set the LAF from the given class name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_LAF

    public static final String KEY_LAF

  key used to fetch the LAF name from the Properties (see init)

  See Also:
    Constant Field Values

Constructor Detail

### LAFManager

    public LAFManager()

Method Detail

### getCurrentLafName

    public static String getCurrentLafName()

  Returns:
    a string representing current LAF name

### getDefaultLafName

    public static String getDefaultLafName()

  Returns:
    a string representing the default LAF (ie "Metal") name

### getInstalledLookAndFeelsNames

    public static String[] getInstalledLookAndFeelsNames()

  Returns:
    a list of installed LAF names (as returned by LookAndFeelInfo.getName()) suitable for a menu or JComboBox, e.g. "Metal,CDE/Motif,Windows"

### updateLaf

    public static void updateLaf()

  Init LAF from the given Properties using key=KEY_LAF and value = LAF name (as returned by LookAndFeelInfo.getName()).

### updateLaf

    public static void updateLaf(String lafName)

  set current LAF from the given LAF name

### updateLafFromClassName

    public static void updateLafFromClassName(String className)

  Set the LAF from the given class name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org